Bug 997156 - Add some information about how quota works
Add some information about how quota works
Status: CLOSED NOTABUG
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: brice
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 15:27 EDT by dchia
Modified: 2017-03-08 12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-23 18:19:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dchia 2013-08-14 15:27:03 EDT
Description of problem:
This request came from conversation with customer. The answer was given by OSE engineer, so please include it in the official OSE documentation.

> How does quota work in OSE?  Enabled by default?

In OSE gears also have the concept of the default quota set in
/etc/openshift/resource_limits.conf.  In Online it's 1GB but for OSE
it is whatever the admin decides.  If they want want to give users the
ability to consume extra storage that will need to run
"oo-admin-ctl-user -l $USER --setmaxtrackedstorage $GB"

Once they do that the user will be able to browse to
https://$BROKER/console/applications/$APP/storage and set the
additional GB they want to consume.  At that point "oo-admin-ctl-usage
--list" will show the ADDTL_FS_GB usage. 


Additional info:

I'm not sure which DOC this information should go, so feel free to correct it.
Comment 5 brice 2014-02-04 19:22:08 EST
Received conformation from Phil Festoso via email that the right information is already in the docs:

"Hi Brice,

For BZ 997156, I think David was passing on a customer concern. The linked section looks sufficiently detailed to me."

Note You need to log in before you can comment on or make changes to this bug.